-- scheduler.lua の動作サンプル
-- Satofumi KAMIMURA
-- $Id: simple_task.lua 702 2009-04-01 19:37:33Z satofumi $

require("Scheduler")


function task(arg)
   Scheduler:yield()
   Scheduler:wait(0)
end


local scheduler = Scheduler:new()
scheduler:insert(task)

scheduler:execute()
scheduler:execute()
scheduler:execute()
scheduler:execute()
